Summary:	XScrnSaver (X11 Screen Saver) extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver)
Name:		xorg-lib-libXScrnSaver
Version:	1.2.3
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXScrnSaver-%{version}.tar.bz2
# Source0-md5:	eeea9d5af3e6c143d0ea1721d27a5e49
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel >= 1.2
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XScrnSaver (X11 Screen Saver) extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

%package devel
Summary:	Header files for libXScrnSaver library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXScrnSaver
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-scrnsaverproto-devel >= 1.2

%description devel
XScrnSaver (X11 Screen Saver) extension client library.

This package contains the header files needed to develop programs that
use libXScrnSaver.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXScrnSaver.

%package static
Summary:	Static libXScrnSaver library
Summary(pl.UTF-8):	Biblioteka statyczna libXScrnSaver
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XScrnSaver (X11 Screen Saver) extension client library.

This package contains the static libXScrnSaver library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

Pakiet zawiera statyczną bibliotekę libXScrnSaver.

%prep
%setup -q -n libXScrnSaver-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXss.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXss.so
%{_libdir}/libXss.la
%{_includedir}/X11/extensions/scrnsaver.h
%{_pkgconfigdir}/xscrnsaver.pc
%{_mandir}/man3/XScreenSaver*.3*
%{_mandir}/man3/Xss.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXss.a
%changelog
* Tue Aug 28 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXScrnSaver.git;a=log;h=master

* Tue Jul 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 3dcb24e
- updated to 1.2.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8db37e4
- x32 rebuild
- release 2 (by relup.sh)

* Mon Dec 22 2014 Jan Rękorajski <baggins@pld-linux.org> 2449977
- fix files

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> f57c48b
- updated to 1.2.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 401042f
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 7357e77
- updated to 1.2.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 8820bd6
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> 44e166f
- updated -devel deps

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> cf765ee
- updated util-macros and scrnsaverproto versions
- more verbose file
- added REAME to doc, enhanced descs

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 148a159
- up to 1.2.0

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e8e8ac8
- release 2

* Thu Mar 20 2008 Jakub Bogusz <qboosh@pld-linux.org> c09346b
- ghost soname symlink

* Tue Mar 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ad0c39b
- up to 1.1.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ccfaeb4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 697c56e
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a37726
- up to 1.1.2

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e0cd54a
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> db76c78
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> c3e3d2d
- updated to 1.1.1

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 0375675
- updated to 1.1.0

